### Function

# EvinceDocument file_compress

#### Declaration [src]

    gchar*
    ev_file_compress (
      const gchar* uri,
      EvCompressionType type,
      GError** error
    )

#### Description [src]

Compresses the file at `uri`.

If `type` is `EV_COMPRESSION_NONE`, it does nothing and returns `NULL`.

Otherwise, it returns the filename of a temporary file containing the compressed data from the file at `uri`.

On error it returns `NULL` and fills in `error`.

It is the caller’s responsibility to unlink the temp file after use.

#### Parameters

`uri`

  Type: `const gchar*`

  A file URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`type`

  Type: `EvCompressionType`

  The compression type.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A newly allocated string URI, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.